#
# Conditional build:
%bcond_without	gtk	# don't build GTK+ tools
#
%include	/usr/lib/rpm/macros.perl
Summary:	Some tools to be used with smart cards and PC/SC
Summary(pl.UTF-8):	Narzędzia do używania z czytnikami Smart Card i PC/SC
Name:		pcsc-tools
Version:	1.4.24
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://ludovic.rousseau.free.fr/softwares/pcsc-tools/%{name}-%{version}.tar.gz
# Source0-md5:	3260d995e8090b808519443b7d739ba5
# broken builder script, original url:
# http://ludovic.rousseau.free.fr/softwares/pcsc-tools/smartcard_list.txt
Source1:	smartcard_list.txt
# NoSource1-md5:	d149d5e5ad64420cc4a065e506e5d3ba
URL:		http://ludovic.rousseau.free.fr/softwares/pcsc-tools/
BuildRequires:	pcsc-lite-devel >= 1.6.0
BuildRequires:	perl-PCSC >= 1.2.0
%{?with_gtk:BuildRequires:	perl-Gtk2}
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov
BuildRequires:	sed >= 4.0
Requires:	pcsc-lite-libs >= 1.6.0
Requires:	perl-PCSC >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Some tools to be used with smart cards and PC/SC.

%description -l pl.UTF-8
Narzędzia do używania z czytnikami Smart Card i PC/SC.

%package gtk
Summary:	Some tools for smart cards and PC/SC with GTK+ GUI
Summary(pl.UTF-8):	Narzędzia dla czytników Smart Card i PC/SC z GUI w GTK+
Group:		X11/Applications
Requires:	perl-PCSC >= 1.2.0

%description gtk
Some tools for smart cards and PC/SC with GTK+ GUI.

%description gtk -l pl.UTF-8
Narzędzia dla czytników Smart Card i PC/SC z GUI w GTK+.

%prep
%setup -q

# paranoid check whether smartcard_list.txt in _sourcedir isn't too old
if [ "`wc -l < %{SOURCE1}`" -lt "`wc -l < smartcard_list.txt`" ] ; then
	echo "smartcard_list.txt needs to be updated"
	exit 1
fi
cp -f %{SOURCE1} .

%{__sed} -i -e '1s,/usr/bin/env perl,/usr/bin/perl,' ATR_analysis gscriptor scriptor

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -DVERSION=\\\"%{version}\\\" -I/usr/include/PCSC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT%{_prefix} \
	MAN="ATR_analysis.1p gscriptor.1p pcsc_scan.1 scriptor.1p"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README TODO
%attr(755,root,root) %{_bindir}/ATR_analysis
%attr(755,root,root) %{_bindir}/pcsc_scan
%attr(755,root,root) %{_bindir}/scriptor
%dir %{_datadir}/pcsc
%{_datadir}/pcsc/smartcard_list.txt
%{_mandir}/man1/ATR_analysis.1p*
%{_mandir}/man1/pcsc_scan.1*
%{_mandir}/man1/scriptor.1p*

%if %{with gtk}
%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gscriptor
%{_mandir}/man1/gscriptor.1p*
%endif
%changelog
* Sun Oct 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pcsc-tools.git;a=log;h=master

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 437c89f
- updated to 1.4.24
- updated smartcard_list.txt

* Fri Sep 19 2014 Jakub Bogusz <qboosh@pld-linux.org> a84f0ae
- updated to 1.4.23
- updated smartcard_list.txt

* Sat Mar 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 65f0e47
- updated to 1.4.22, smartcard_list.txt 2014-02-26

* Sat Dec 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 7a58f59
- updated to 1.4.21
- updated smartcard_list.txt
- direct perl interpreter path

* Sun Jun 24 2012 Jakub Bogusz <qboosh@pld-linux.org> a7c69ec
- updated to 1.4.20

* Thu Jan 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 1fb2dfb
- updated to 1.4.18
- updated smartcard_list.txt

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> de3664b
- updated to 1.4.17
- updated smartcard_list.txt
- removed obsolete update patch

* Sun Aug 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 903d76e
- added update patch (needed for current pcsc-lite)
- updated smartcard_list.txt
- release 2

* Mon Jul 26 2010 zbyniu <zbyniu@pld-linux.org> 65dc7f9
- up to 1.4.16

* Wed Mar 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 27d3e08
- rel 2

* Wed Mar 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> dac49f0
- updated

* Wed Mar 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e726a3
- up to 1.4.15

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 5793eac
- updated to 1.4.14
- updated smartcard_list.txt

* Sat May 31 2008 Jakub Bogusz <qboosh@pld-linux.org> ced8177
- updated

* Sat Mar 01 2008 Jakub Bogusz <qboosh@pld-linux.org> b94089e
- updated to 1.4.12
- updated smartcard_list.txt

* Sat Mar 01 2008 Jakub Bogusz <qboosh@pld-linux.org> 3cb3b63
- updated

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> a9ec6ba
- updated to 1.4.11
- udpated smartcard_list.txt

* Sat Nov 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 66475e9
- updated

* Sat Aug 11 2007 Jakub Bogusz <qboosh@pld-linux.org> d9630c2
- updated to 1.4.10
- updated smartcard_list.txt

* Sat Aug 11 2007 Jakub Bogusz <qboosh@pld-linux.org> 11f9e7f
- updated

